Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBranchExtentTranslator Class Reference

`#include <vtkBranchExtentTranslator.h>`

Inheritance diagram for vtkBranchExtentTranslator:

[legend]
Collaboration diagram for vtkBranchExtentTranslator:

[legend]
List of all members.

## Detailed Description

Uses alternative source for whole extent.

Date:
  2002/05/17 01:50:34

Revision:
  1.10

vtkBranchExtentTranslator is like extent translator, but it uses an alternative source as a whole extent. The whole extent passed is assumed to be a subextent of the original source. we simply take the intersection of the split extent and the whole extdent passed in. We are attempting to make branching pipelines request consistent extents with the same piece requests.

Warning:
  This object is still under development.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (88%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkBranchExtentTranslator.cxx)`
  - .`h` (`/Parallel/vtkBranchExtentTranslator.h)`

Tests:
  vtkBranchExtentTranslator (Tests)

Definition at line 53 of file vtkBranchExtentTranslator.h.

## Public Types
typedef vtkExtentTranslator | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | PieceToExtent ()
virtual void | SetOriginalSource (vtkImageData *)
virtual vtkImageData * | GetOriginalSource ()
virtual void | SetAssignedPiece (int)
virtual int | GetAssignedPiece ()
virtual void | SetAssignedNumberOfPieces (int)
virtual int | GetAssignedNumberOfPieces ()
## Static Public Methods
vtkBranchExtentTranslator * | New ()
int | IsTypeOf (const char *type)
vtkBranchExtentTranslator * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBranchExtentTranslator ()
| ~vtkBranchExtentTranslator ()
## Protected Attributes
vtkImageData * | OriginalSource
int | AssignedPiece
int | AssignedNumberOfPieces

## Member Typedef Documentation

typedef vtkExtentTranslator vtkBranchExtentTranslator::Superclass

| Reimplemented from vtkExtentTranslator. Definition at line 58 of file vtkBranchExtentTranslator.h.

## Constructor & Destructor Documentation

vtkBranchExtentTranslator::vtkBranchExtentTranslator | ( |  | ) | `[protected]`

vtkBranchExtentTranslator::~vtkBranchExtentTranslator | ( |  | ) | `[protected]`

## Member Function Documentation

vtkBranchExtentTranslator* vtkBranchExtentTranslator::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkExtentTranslator.

virtual const char* vtkBranchExtentTranslator::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkExtentTranslator.

int vtkBranchExtentTranslator::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExtentTranslator.

virtual int vtkBranchExtentTranslator::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkExtentTranslator.

vtkBranchExtentTranslator* vtkBranchExtentTranslator::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkExtentTranslator.

void vtkBranchExtentTranslator::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkExtentTranslator.

virtual void vtkBranchExtentTranslator::SetOriginalSource | ( | vtkImageData * |  | ) | `[virtual]`

| This is the original upstream image source.

virtual vtkImageData* vtkBranchExtentTranslator::GetOriginalSource | ( |  | ) | `[virtual]`

| This is the original upstream image source.

int vtkBranchExtentTranslator::PieceToExtent | ( |  | ) | `[virtual]`

| Generates the extent from the pieces. Reimplemented from vtkExtentTranslator.

virtual void vtkBranchExtentTranslator::SetAssignedPiece | ( | int |  | ) | `[virtual]`

| This unstructured extent/piece is store here for the users convenience. It is not used internally. The intent was to let an "assignment" be made when the translator/first source is created. The translator/assignment can be used for any new filter that uses the original source as output. Branches will then have the same assignment.

virtual int vtkBranchExtentTranslator::GetAssignedPiece | ( |  | ) | `[virtual]`

| This unstructured extent/piece is store here for the users convenience. It is not used internally. The intent was to let an "assignment" be made when the translator/first source is created. The translator/assignment can be used for any new filter that uses the original source as output. Branches will then have the same assignment.

virtual void vtkBranchExtentTranslator::SetAssignedNumberOfPieces | ( | int |  | ) | `[virtual]`

| This unstructured extent/piece is store here for the users convenience. It is not used internally. The intent was to let an "assignment" be made when the translator/first source is created. The translator/assignment can be used for any new filter that uses the original source as output. Branches will then have the same assignment.

virtual int vtkBranchExtentTranslator::GetAssignedNumberOfPieces | ( |  | ) | `[virtual]`

| This unstructured extent/piece is store here for the users convenience. It is not used internally. The intent was to let an "assignment" be made when the translator/first source is created. The translator/assignment can be used for any new filter that uses the original source as output. Branches will then have the same assignment.

## Member Data Documentation

vtkImageData* vtkBranchExtentTranslator::OriginalSource`[protected]`

| Definition at line 87 of file vtkBranchExtentTranslator.h.

int vtkBranchExtentTranslator::AssignedPiece`[protected]`

| Definition at line 88 of file vtkBranchExtentTranslator.h.

int vtkBranchExtentTranslator::AssignedNumberOfPieces`[protected]`

| Definition at line 89 of file vtkBranchExtentTranslator.h.

The documentation for this class was generated from the following file:

- Parallel/vtkBranchExtentTranslator.h